在Java中使用JSON需要的jar包

DogJay 2017-06-15 后端技术 618人已围观

在Java中使用json需要引入以下六个jar包,分别为:

commons-lang-2.5.jar

commons-collections-3.1.jar

commons-beanutils-1.7.0.jar

json-lib-2.1-jdk15.jar

ezmorph-1.0.3.jar

commons-logging-1.1.1.jar

当然,jar包的版本任意。 这里是本人整理的jar包集合,需要的可以下载。

版本如上所示 下载链接:点我下载

如果缺少上面任何一个包,都会报:NoClassDefFoundError

commons-beanutils-1.7.0.jar不加这个包 java.lang.NoClassDefFoundError: org/apache/commons/beanutils/DynaBean

commons-collections-3.1.jar 不加这个包 java.lang.NoClassDefFoundError: org/apache/commons/collections/map/ListOrderedMap

commons-lang-2.5.jar 不加这个包 java.lang.NoClassDefFoundError: org/apache/commons/lang/exception/NestableRuntimeException

commons-logging-1.1.1.jar不加这个包 java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory

ezmorph-1.0.3.jar 不加这个包 java.lang.NoClassDefFoundError: net/sf/ezmorph/Morpher

json-lib-2.1-jdk15.jar 不加这个包 java.lang.NoClassDefFoundError: net/sf/json/JSONObject

吐槽(0)

文章评论

    共有0条评论

    验证码:

文章目录